### Method

# Gtk StyleContextget_state

deprecated: 4.10

#### Declaration [src]

    GtkStateFlags
    gtk_style_context_get_state (
      GtkStyleContext* context
    )

#### Description [src]

Returns the state used for style matching.

This method should only be used to retrieve the `GtkStateFlags` to pass to `GtkStyleContext` methods, like `gtk_style_context_get_padding()`. If you need to retrieve the current state of a `GtkWidget`, use `gtk_widget_get_state_flags()`.

Deprecated since: 4.10

Use `gtk_widget_get_state_flags()` instead.

#### Return value

Type: `GtkStateFlags`

The state flags.